/linkly | Type: Application | PCID required: Yes
Tools
linkly_batch_delete_links
Batch delete links Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
ids | integer[] | Yes | — | Array of link IDs to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"ids": {
"type": "array",
"items": {
"type": "integer"
},
"description": "Array of link IDs to delete"
}
},
"required": [
"PCID",
"workspaceId",
"ids"
]
}
linkly_create_domain
Add a custom domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
name | string | Yes | — | The custom domain name (e.g., ‘link.example.com’) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"name": {
"type": "string",
"description": "The custom domain name (e.g., 'link.example.com')"
}
},
"required": [
"PCID",
"workspaceId",
"name"
]
}
linkly_create_or_update_link
Create or update a link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
block_bots | boolean | No | — | Block bot traffic |
cloaking | boolean | No | — | Enable link cloaking |
domain | string | No | — | Custom domain to use for the short link |
enabled | boolean | No | — | Whether the link is active |
expiry_datetime | string | No | — | Expiry date and time for the link (ISO 8601) |
expiry_destination | string | No | — | URL to redirect to after the link expires |
fb_pixel_id | string | No | — | Facebook Pixel ID for tracking |
forward_params | boolean | No | — | Forward query parameters to the destination URL |
ga4_tag_id | string | No | — | Google Analytics 4 tag ID |
gtm_id | string | No | — | Google Tag Manager container ID |
hide_referrer | boolean | No | — | Hide the referrer when redirecting |
link_id | integer | No | — | Existing link ID to update. Omit to create a new link. |
name | string | No | — | Friendly name for the link |
note | string | No | — | Internal note for the link |
og_description | string | No | — | Open Graph description for social media previews |
og_image | string | No | — | Open Graph image URL for social media previews |
og_title | string | No | — | Open Graph title for social media previews |
slug | string | No | — | Custom slug for the short URL (e.g., ‘my-link’) |
url | string | Yes | — | The destination URL to shorten or redirect to |
utm_campaign | string | No | — | UTM campaign parameter |
utm_content | string | No | — | UTM content parameter |
utm_medium | string | No | — | UTM medium parameter |
utm_source | string | No | — | UTM source parameter |
utm_term | string | No | — | UTM term parameter |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"block_bots": {
"type": "boolean",
"description": "Block bot traffic"
},
"cloaking": {
"type": "boolean",
"description": "Enable link cloaking"
},
"domain": {
"type": "string",
"description": "Custom domain to use for the short link"
},
"enabled": {
"type": "boolean",
"description": "Whether the link is active"
},
"expiry_datetime": {
"type": "string",
"description": "Expiry date and time for the link (ISO 8601)"
},
"expiry_destination": {
"type": "string",
"description": "URL to redirect to after the link expires"
},
"fb_pixel_id": {
"type": "string",
"description": "Facebook Pixel ID for tracking"
},
"forward_params": {
"type": "boolean",
"description": "Forward query parameters to the destination URL"
},
"ga4_tag_id": {
"type": "string",
"description": "Google Analytics 4 tag ID"
},
"gtm_id": {
"type": "string",
"description": "Google Tag Manager container ID"
},
"hide_referrer": {
"type": "boolean",
"description": "Hide the referrer when redirecting"
},
"link_id": {
"type": "integer",
"description": "Existing link ID to update. Omit to create a new link."
},
"name": {
"type": "string",
"description": "Friendly name for the link"
},
"note": {
"type": "string",
"description": "Internal note for the link"
},
"og_description": {
"type": "string",
"description": "Open Graph description for social media previews"
},
"og_image": {
"type": "string",
"description": "Open Graph image URL for social media previews"
},
"og_title": {
"type": "string",
"description": "Open Graph title for social media previews"
},
"slug": {
"type": "string",
"description": "Custom slug for the short URL (e.g., 'my-link')"
},
"url": {
"type": "string",
"description": "The destination URL to shorten or redirect to"
},
"utm_campaign": {
"type": "string",
"description": "UTM campaign parameter"
},
"utm_content": {
"type": "string",
"description": "UTM content parameter"
},
"utm_medium": {
"type": "string",
"description": "UTM medium parameter"
},
"utm_source": {
"type": "string",
"description": "UTM source parameter"
},
"utm_term": {
"type": "string",
"description": "UTM term parameter"
}
},
"required": [
"PCID",
"workspaceId",
"url"
]
}
linkly_delete_domain
Delete a custom domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
domainId | integer | Yes | — | The domain ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"domainId": {
"type": "integer",
"description": "The domain ID to delete"
}
},
"required": [
"PCID",
"workspaceId",
"domainId"
]
}
linkly_delete_link
Delete a link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
linkId | integer | Yes | — | The link ID to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"linkId": {
"type": "integer",
"description": "The link ID to delete"
}
},
"required": [
"PCID",
"workspaceId",
"linkId"
]
}
linkly_export_clicks
Export click data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
format | string | No | — | Export format |
link_id | integer | No | — | Filter by specific link ID |
start | string | No | — | Start date (YYYY-MM-DD) |
end | string | No | — | End date (YYYY-MM-DD) |
country | string | No | — | Filter by country code |
platform | string | No | — | Filter by platform |
bots | string | No | — | How to handle bot traffic |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"format": {
"type": "string",
"description": "Export format"
},
"link_id": {
"type": "integer",
"description": "Filter by specific link ID"
},
"start": {
"type": "string",
"description": "Start date (YYYY-MM-DD)"
},
"end": {
"type": "string",
"description": "End date (YYYY-MM-DD)"
},
"country": {
"type": "string",
"description": "Filter by country code"
},
"platform": {
"type": "string",
"description": "Filter by platform"
},
"bots": {
"type": "string",
"description": "How to handle bot traffic",
"enum": [
"include",
"exclude",
"only"
]
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_export_links
Export links Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
search | string | No | — | Search term to filter links by name or slug |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"search": {
"type": "string",
"description": "Search term to filter links by name or slug"
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_get_analytics
Get click analytics Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
start | string | Yes | — | Start date (YYYY-MM-DD) |
end | string | Yes | — | End date (YYYY-MM-DD) |
link_id | integer | No | — | Filter by specific link ID |
frequency | string | No | — | Time-series frequency |
country | string | No | — | Filter by country code |
platform | string | No | — | Filter by platform |
browser | string | No | — | Filter by browser |
unique | boolean | No | — | Count unique clicks only |
bots | string | No | — | How to handle bot traffic |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"start": {
"type": "string",
"description": "Start date (YYYY-MM-DD)"
},
"end": {
"type": "string",
"description": "End date (YYYY-MM-DD)"
},
"link_id": {
"type": "integer",
"description": "Filter by specific link ID"
},
"frequency": {
"type": "string",
"description": "Time-series frequency",
"enum": [
"day",
"hour"
]
},
"country": {
"type": "string",
"description": "Filter by country code"
},
"platform": {
"type": "string",
"description": "Filter by platform"
},
"browser": {
"type": "string",
"description": "Filter by browser"
},
"unique": {
"type": "boolean",
"description": "Count unique clicks only"
},
"bots": {
"type": "string",
"description": "How to handle bot traffic",
"enum": [
"include",
"exclude",
"only"
]
}
},
"required": [
"PCID",
"workspaceId",
"start",
"end"
]
}
linkly_get_analytics_by
Get analytics grouped by dimension Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
counter | string | Yes | — | The dimension to group analytics by |
start | string | No | — | Start date (YYYY-MM-DD) |
end | string | No | — | End date (YYYY-MM-DD) |
link_id | integer | No | — | Filter by specific link ID |
country | string | No | — | Filter by country code |
platform | string | No | — | Filter by platform |
unique | boolean | No | — | Count unique clicks only |
bots | string | No | — | How to handle bot traffic |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"counter": {
"type": "string",
"description": "The dimension to group analytics by",
"enum": [
"country",
"platform",
"browser_name",
"referer",
"isp",
"link_id",
"destination",
"bot_name"
]
},
"start": {
"type": "string",
"description": "Start date (YYYY-MM-DD)"
},
"end": {
"type": "string",
"description": "End date (YYYY-MM-DD)"
},
"link_id": {
"type": "integer",
"description": "Filter by specific link ID"
},
"country": {
"type": "string",
"description": "Filter by country code"
},
"platform": {
"type": "string",
"description": "Filter by platform"
},
"unique": {
"type": "boolean",
"description": "Count unique clicks only"
},
"bots": {
"type": "string",
"description": "How to handle bot traffic",
"enum": [
"include",
"exclude",
"only"
]
}
},
"required": [
"PCID",
"workspaceId",
"counter"
]
}
linkly_get_link
Get link details Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
linkId | integer | Yes | — | The link ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"linkId": {
"type": "integer",
"description": "The link ID"
}
},
"required": [
"PCID",
"linkId"
]
}
linkly_list_domains
List custom domains Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_list_link_webhooks
List link webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
linkId | integer | Yes | — | The link ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"linkId": {
"type": "integer",
"description": "The link ID"
}
},
"required": [
"PCID",
"linkId"
]
}
linkly_list_links_advanced
List links with advanced filtering Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
page | integer | No | — | Page number |
page_size | integer | No | — | Number of links per page |
search | string | No | — | Search term to filter links |
sort_by | string | No | — | Field to sort by |
sort_dir | string | No | — | Sort direction |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"page": {
"type": "integer",
"description": "Page number"
},
"page_size": {
"type": "integer",
"description": "Number of links per page"
},
"search": {
"type": "string",
"description": "Search term to filter links"
},
"sort_by": {
"type": "string",
"description": "Field to sort by",
"enum": [
"created_at",
"clicks",
"name"
]
},
"sort_dir": {
"type": "string",
"description": "Sort direction",
"enum": [
"asc",
"desc"
]
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_list_links_paginated
List links (paginated) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
page | integer | No | — | Page number |
page_size | integer | No | — | Number of links per page |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"page": {
"type": "integer",
"description": "Page number"
},
"page_size": {
"type": "integer",
"description": "Number of links per page"
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_list_webhooks
List workspace webhooks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
}
},
"required": [
"PCID",
"workspaceId"
]
}
linkly_list_workspaces
List all workspacesShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
linkly_subscribe_link_webhook
Subscribe a link webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
linkId | integer | Yes | — | The link ID |
url | string | Yes | — | The webhook URL to subscribe |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"linkId": {
"type": "integer",
"description": "The link ID"
},
"url": {
"type": "string",
"description": "The webhook URL to subscribe"
}
},
"required": [
"PCID",
"linkId",
"url"
]
}
linkly_subscribe_webhook
Subscribe a workspace webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
url | string | Yes | — | The webhook URL to subscribe |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"url": {
"type": "string",
"description": "The webhook URL to subscribe"
}
},
"required": [
"PCID",
"workspaceId",
"url"
]
}
linkly_unsubscribe_link_webhook
Unsubscribe a link webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
linkId | integer | Yes | — | The link ID |
url | string | Yes | — | The webhook URL to unsubscribe |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"linkId": {
"type": "integer",
"description": "The link ID"
},
"url": {
"type": "string",
"description": "The webhook URL to unsubscribe"
}
},
"required": [
"PCID",
"linkId",
"url"
]
}
linkly_unsubscribe_webhook
Unsubscribe a workspace webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
url | string | Yes | — | The webhook URL to unsubscribe |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"url": {
"type": "string",
"description": "The webhook URL to unsubscribe"
}
},
"required": [
"PCID",
"workspaceId",
"url"
]
}
linkly_update_domain_favicon
Update domain favicon Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
domainId | integer | Yes | — | The domain ID |
favicon_url | string | Yes | — | URL of the favicon image |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"domainId": {
"type": "integer",
"description": "The domain ID"
},
"favicon_url": {
"type": "string",
"description": "URL of the favicon image"
}
},
"required": [
"PCID",
"workspaceId",
"domainId",
"favicon_url"
]
}
linkly_update_workspace
Update a workspace Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
workspaceId | integer | Yes | — | The workspace ID |
name | string | No | — | New workspace name |
webhooks | boolean | No | — | Enable or disable webhooks for this workspace |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"workspaceId": {
"type": "integer",
"description": "The workspace ID"
},
"name": {
"type": "string",
"description": "New workspace name"
},
"webhooks": {
"type": "boolean",
"description": "Enable or disable webhooks for this workspace"
}
},
"required": [
"PCID",
"workspaceId"
]
}

